%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   XML-SAX-Base
%define modv   1.08
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       Base SAX Drivers and Filters for Perl
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/G/GR/GRANTM/%{modn}-%{modv}.tar.gz
Patch0:        %{modn}-1.08-build.patch
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Grant McLean <grantm@cpan.org>
Provides:      perl(XML::SAX::Base) = %{modv}
Provides:      perl(XML::SAX::Base::NoHandler) = %{modv}
Provides:      perl(XML::SAX::Exception) = %{modv}
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl >= 5.8
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test)
BuildRequires: perl(Test::More)
BuildArch:     noarch


%description
XML::SAX::Base has a very simple task: to be a base class for Perl SAX drivers
and filters. Its default behaviour is to pass the input directly to the output
unchanged.


%prep
%setup -q -n %{modn}-%{modv}
%patch0 -p1


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/%{modp}
%{_mandir}/man3/*.3*


%changelog
* Tue Oct 11 2011 Peter Pramberger <peterpramb@member.fsf.org> - 1.08-1
- New version (1.08)

* Wed Feb 11 2009 Peter Pramberger <peterpramb@member.fsf.org> - 1.04-1
- New version (1.04)

* Sun Jun 01 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.02-1
- Initial build
